## weston 8.0.0

=== meson_options.txt ===
# This option is not implemented:
#  --with-cairo=[image|gl|glesv2] Which Cairo renderer to use for the clients
# It is hardcoded to cairo-image for now.

option(
	'backend-drm',
	type: 'boolean',
	value: true,
	description: 'Weston backend: DRM/KMS'
)
option(
	'backend-drm-screencast-vaapi',
	type: 'boolean',
	value: true,
	description: 'DRM/KMS backend support for VA-API screencasting'
)
option(
	'backend-headless',
	type: 'boolean',
	value: true,
	description: 'Weston backend: headless (testing)'
)
option(
	'backend-rdp',
	type: 'boolean',
	value: true,
	description: 'Weston backend: RDP remote screensharing'
)
option(
	'screenshare',
	type: 'boolean',
	value: true,
	description: 'Compositor: RDP screen-sharing support'
)
option(
	'backend-wayland',
	type: 'boolean',
	value: true,
	description: 'Weston backend: Wayland (nested)'
)
option(
	'backend-x11',
	type: 'boolean',
	value: true,
	description: 'Weston backend: X11 (nested)'
)
option(
	'backend-fbdev',
	type: 'boolean',
	value: true,
	description: 'Weston backend: fbdev'
)
option(
	'backend-default',
	type: 'combo',
	choices: [ 'auto', 'drm', 'wayland', 'x11', 'fbdev', 'headless' ],
	value: 'drm',
	description: 'Default backend when no parent display server detected'
)

option(
	'renderer-gl',
	type: 'boolean',
	value: true,
	description: 'Weston renderer: EGL / OpenGL ES 2.x'
)

option(
	'weston-launch',
	type: 'boolean',
	value: true,
	description: 'Weston launcher for systems without logind'
)

option(
	'xwayland',
	type: 'boolean',
	value: true,
	description: 'Xwayland: support for X11 clients inside Weston'
)
option(
	'xwayland-path',
	type: 'string',
	value: '/usr/bin/Xwayland',
	description: 'Xwayland: path to installed Xwayland binary'
)

option(
	'systemd',
	type: 'boolean',
	value: true,
	description: 'systemd service plugin: state notify, watchdog, socket activation'
)

option(
	'remoting',
	type: 'boolean',
	value: true,
	description: 'Virtual remote output with GStreamer on DRM backend'
)

option(
	'pipewire',
	type: 'boolean',
	value: true,
	description: 'Virtual remote output with Pipewire on DRM backend'
)

option(
	'shell-desktop',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: traditional desktop'
)
option(
	'shell-fullscreen',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: fullscreen/kiosk'
)
option(
	'shell-ivi',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: IVI (automotive)'
)

option(
	'desktop-shell-client-default',
	type: 'string',
	value: 'weston-desktop-shell',
	description: 'Weston desktop shell: default helper client selection'
)

option(
	'color-management-lcms',
	type: 'boolean',
	value: true,
	description: 'Compositor color management: lcms'
)
option(
	'color-management-colord',
	type: 'boolean',
	value: true,
	description: 'Compositor color management: colord (requires lcms)'
)

option(
	'launcher-logind',
	type: 'boolean',
	value: true,
	description: 'Compositor: support systemd-logind D-Bus protocol'
)

option(
	'image-jpeg',
	type: 'boolean',
	value: true,
	description: 'JPEG loading support'
)
option(
	'image-webp',
	type: 'boolean',
	value: true,
	description: 'WebP loading support'
)

option(
	'tools',
	type: 'array',
	choices: [ 'calibrator', 'debug', 'info', 'terminal', 'touch-calibrator' ],
	description: 'List of accessory clients to build and install'
)
option(
	'demo-clients',
	type: 'boolean',
	value: true,
	description: 'Sample clients: toytoolkit demo programs'
)
option(
	'simple-clients',
	type: 'array',
	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-v4l', 'dmabuf-egl' ],
	value: [ 'all' ],
	description: 'Sample clients: simple test programs'
)

option(
	'resize-pool',
	type: 'boolean',
	value: true,
	description: 'Sample clients: optimize window resize performance'
)
option(
	'wcap-decode',
	type: 'boolean',
	value: true,
	description: 'Tools: screen recording decoder tool'
)

option(
	'test-junit-xml',
	type: 'boolean',
	value: true,
	description: 'Tests: output JUnit XML results'
)
option(
	'doc',
	type: 'boolean',
	value: false,
	description: 'Generate documentation'
)

## weston 0.95.0

=== debian/changelog ===
weston (0.95.0-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 23 Aug 2012 18:02:55 +0300

weston (0.95.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add a watch file.
  * control: Add missing build-depends: libmtdev-dev, libxcursor-dev,
    libpam0g-dev, libvpx-dev.
  * Switch to source format 3.0 (quilt) due to xz tarballs.
  * control: Bump the build-depends on libxkbcommon-dev to (>= 0.1.0~2).
  * rules: Make the test run failure non-fatal, since it doesn't work
    properly in headless-mode.
  * weston.install: Add new files.
  * control: Bump build-depends on mesa derived components to 9.0~.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 16 Aug 2012 20:52:23 +0300

weston (0.85.0-1) experimental; urgency=low

  * Initial release (Closes: #630809).
  * Build without setuid for weston; it's very young and experimental, so
    let's be cautious.
  * Document weston's setuid bit (or lack thereof) in README.Debian.
  * Tiny/toy clients will be shipped in a later upload.
  * Restrict to linux-any since wayland isn't as portable as X.
  * Make sure the following packages are at least at 8.0-2 in the
    generated dependencies: libegl1-mesa, libegl1-mesa-drivers, and
    libgles2-mesa.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 21 Feb 2012 23:58:19 +0100

=== debian/control ===
Source: weston
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 8),
 quilt,
 dh-autoreconf,
 pkg-config,
 libpixman-1-dev,
 libpng-dev,
 libjpeg-dev,
 mesa-common-dev,
 libegl1-mesa-dev (>= 9.0~),
 libegl1-mesa-drivers (>= 9.0~),
 libgles2-mesa-dev (>= 9.0~),
 libwayland-dev (>= 0.85),
 libxcb1-dev,
 libxcb-xfixes0-dev,
 libx11-xcb-dev,
 libx11-dev,
 libudev-dev,
 libgbm-dev,
 libxkbcommon-dev (>= 0.1.0~2),
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 libxcursor-dev,
 libmtdev-dev,
 libpam0g-dev,
 libvpx-dev,
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/weston
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/weston.git

Package: weston
Architecture: linux-any
Depends:
 libegl1-mesa (>= 8.0-2),
 libegl1-mesa-drivers (>= 8.0-2),
 libgles2-mesa (>= 8.0-2),
 ${shlibs:Depends},
 ${misc:Depends},
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- --disable-setuid-install

override_dh_auto_test:
	# the test suite does not 100% pass in headless mode
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --fail-missing -X.la

override_dh_makeshlibs:
	# No-op: libraries are private, not shared.

%:
	dh $@ --with quilt,autoreconf

# For maintainer use only, generate a tarball:
gentarball: SOURCE=$(shell dpkg-parsechangelog|awk '/^Source:/ {print $$2}')
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-experimental --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

## weston 1.0.3

=== debian/changelog ===
weston (1.0.3-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on sed
    - Use standards-version 3.9.4
  * weston.install:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Jan 2013 10:01:50 +1300

weston (0.95.0-0ubuntu2) quantal; urgency=low

  * debian/control: added Homepage field
  * debian/control: bump Standards-Version to 3.9.3 

 -- Benjamin Kerensa <bkerensa@ubuntu.com>  Thu, 13 Sep 2012 02:33:39 -0700

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,9 @@
  libmtdev-dev,
  libpam0g-dev,
  libvpx-dev,
-Standards-Version: 3.9.2
+ sed,
+Standards-Version: 3.9.4
+Homepage: http://wayland.freedesktop.org/
 Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/weston
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/weston.git

## weston 1.3.0

=== debian/changelog ===
weston (1.3.0-1ubuntu1) trusty; urgency=low

  * rules, weston.install: Build using --with-cairo=image, since our cairo
    disabled the gl backend. Don't try to install the screensaver.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Nov 2013 18:10:33 +0200

weston (1.3.0-1) unstable; urgency=low

  [ Sven Joachim ]
  * Bump libwayland-dev build-depends to (>= 1.2.0).

  [ Laurent Bigonville ]
  * debian/rules:
    - Install weston-launch with setuid bit set (LP: #1102597)
    - Set libexec path to /usr/lib/weston
  * debian/weston.lintian-overrides: Add override for the mode of weston-launch
    executable
  * debian/weston.examples: Install weston.ini as an example file
  * debian/weston.postinst: Create weston-launch group on installation
    (LP: #1203017)
  * debian/control, debian/weston.install: Enable colord support
  * debian/README.Debian: Fix directions on how to run weston under KMS
    (Closes: #714379)
  * debian/control: Add a dependency against adduser
  * debian/control: Use canonical URL's for Vcs field

  [ Timo Aaltonen ]
  * rules: Explicitly enable cairo-gl so that weston-screensaver gets
    built.

  [ Hector Oron ]
  * New upstream release (1.3.0) (Closes: #719144).
  * Add myself to Uploaders.
  * Switch Debian source format to 3.0 quilt

 -- Hector Oron <zumbi@debian.org>  Fri, 11 Oct 2013 13:03:04 +0200

weston (1.1.1-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release (Closes: #675138, #699045).
  * Add a watch file.
  * control: Add missing build-depends: libmtdev-dev, libxcursor-dev,
    libpam0g-dev, libvpx-dev.
  * Use source format 1.0.
  * control: Bump the build-depends on libxkbcommon-dev to (>= 0.1.0~2).
  * rules: Make the test run failure non-fatal, since it doesn't work
    properly in headless-mode.
  * weston.install: Add new files.
  * control: Bump build-depends on mesa derived components to 9.0~.
  * control, compat: Switch to debhelper 9.
  * control: Bump policy to 3.9.4, no changes.
  * control: Added homepage (Closes: #687571).
  * Add README.source.
  * patches/series: Add a placeholder file.

  [ Sven Joachim ]
  * Configure with --disable-libunwind until libunwind starts shipping
    pkg-config files (see #711854).
  * Add build-dependencies on libsystemd-login-dev and libglu1-mesa-dev.

  [ Mike Gabriel ]
  * control: add libgl1-mesa-dri to Recommends: field. (Closes: #714351).
  * control: add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Jun 2013 14:31:18 +0200

=== debian/control ===
Source: weston
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders:
 Cyril Brulebois <kibi@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Héctor Orón Martínez <zumbi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 quilt,
 dh-autoreconf,
 pkg-config,
 libpixman-1-dev,
 libpng-dev,
 libjpeg-dev,
 libcolord-dev (>= 0.1.27),
 mesa-common-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev (>= 9.0~),
 libegl1-mesa-drivers (>= 9.0~),
 libgles2-mesa-dev (>= 9.0~),
 libwayland-dev (>= 1.2.0),
 libxcb1-dev,
 libxcb-xfixes0-dev,
 libx11-xcb-dev,
 libx11-dev,
 libudev-dev,
 libgbm-dev,
 libxkbcommon-dev (>= 0.1.0~2),
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 libxcursor-dev,
 libmtdev-dev,
 libpam0g-dev,
 libvpx-dev,
 libsystemd-login-dev,
Standards-Version: 3.9.4
Homepage: http://wayland.freedesktop.org/
Vcs-Git: git://anonscm.debian.org/pkg-xorg/wayland/weston
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/wayland/weston.git

Package: weston
Architecture: linux-any
Depends:
 adduser,
 libegl1-mesa (>= 8.0-2),
 libegl1-mesa-drivers (>= 8.0-2),
 libgles2-mesa (>= 8.0-2),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libgl1-mesa-dri,
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- --disable-libunwind --libexec=/usr/lib/weston \
		--with-cairo=image

override_dh_auto_test:
	# the test suite does not 100% pass in headless mode
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --fail-missing -X.la

override_dh_makeshlibs:
	# No-op: libraries are private, not shared.

override_dh_fixperms:
	dh_fixperms -Xusr/bin/weston-launch

%:
	dh $@ --with quilt,autoreconf

# For maintainer use only, generate a tarball:
gentarball: SOURCE=$(shell dpkg-parsechangelog|awk '/^Source:/ {print $$2}')
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/weston
version=3
http://wayland.freedesktop.org/releases/weston-(.*)\.tar\.xz

## weston 1.7.0-0ubuntu1

=== debian/changelog ===
weston (1.7.0-0ubuntu1) vivid; urgency=medium

  * Sync from debian experimental git.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Feb 2015 10:43:36 +0200

weston (1.7.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * control: Bump libinput and libwayland-dev build-deps.
  * install: Add new files.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Feb 2015 19:47:34 +0200

weston (1.6.1-1) experimental; urgency=medium

  * New upstream bugfix release:
    - compositor fixes
    - input fixes
    - shell fixes
  * d/control: bump standards version, no changes needed.

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:20:02 +0100

weston (1.6.0-2) unstable; urgency=medium

  * Switch back to use upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Tue, 23 Sep 2014 17:49:21 +0200

weston (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix "weston-terminal: exits under load"
    - Thanks Rémi Denis-Courmont for report.
    (Closes: #760043)

 -- Hector Oron <zumbi@debian.org>  Fri, 19 Sep 2014 16:38:47 +0200

weston (1.5.93-2) unstable; urgency=medium

  [ Hector Oron ]
  * d/control:
    + allow third party graphic stacks
    + update EGL wayland driver library

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:43:37 +0200

weston (1.5.93-1) experimental; urgency=medium

  * New upstream development release.
  * d/patches/*: drop them.
  * d/control:
    + bump wayland version requirement for build.
    + bump build depend on libinput-dev.
  * Upload to experimental. 

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 18:28:31 +0200

weston (1.5.0-3) unstable; urgency=medium

  * d/p/0001-libinput-Use-floating-point-instead-of-fixed-point-n.patch,
    d/p/0001-Require-libinput-0.4.0.patch,
    debian/control:
    + Build against libinput 0.5.0.
  * debian/weston.install,
    debian/rules:
    + Disable cairo-gl support. It causes trouble in some embedded platforms
      so we're disabling its support, at least for now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 02:14:06 +0200

weston (1.5.0-2) unstable; urgency=medium

  * debian/control,
    debian/rules:
    + Enable libinput backend.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 01 Jun 2014 17:25:06 +0200

weston (1.5.0-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.
  * Switch back to source format 1.0 for now.
  * debian/control:
    + Drop librsvg2-bin build dependency, no longer needed.
  * debian/clean:
    + Dropped, no longer needed.
  * debian/weston.install:
    + Fix path for demo clients.
    + Install the fullscreen shell.
  * debian/patches/0001-animation-fix-move-scale-animation.patch:
    + Patch from Jonny Lamb, taken from wayland-devel@, that fixes
      move animations, as triggered e.g. by exposay.
  * d/p/0001-exposay-fix-crash-when-navigating-with-the-keyboard.patch:
    + New patch, fix a crash in exposay.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 May 2014 02:53:44 +0200

weston (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0:
    - Window buttons for xwayland windows and proper decorations for the
      nested compositor (wayland backend)
    - Make the gl-renderer a loadable module and make it possible to
      switch from pixman to gl renderer at runtime.  This lets the
      compositor start up faster, since we can load the gl-renderer and
      initialize EGL+GLES2 later in the startup
    - Support framebuffer formats other than XRGB8888 (gbm-format config
      value under [core] section).
    - Use logind for privileged access.  logind can now do the this that
      weston-launch used to do: drm drop/set master and opening input
      devices.  With this, weston can run on KMS without the
      weston-launch setuid helper.
    - struct weston_surface split into struct weston_surface and struct
      weston_view.  This is a weston-internal feature, that makes it
      possible to display a surface in multiple places in the compositor.
    - Better output unplug handling.  We used to crash and in general not
      handle output (monitor) unplug at all.  We now clean up properly
      and move windows back into the visible region when their output is
      unplugged.
    - Keyboard focus animation and exposay (exposé-like window picker)
    - More touch screen support, including touch-to-move and
      touch-to-activate for surfaces, touch screen drag-and-drop
    - Started work on xdg-shell protocol.  The xdg-shell is a more format
      attempt at developing a protocol for the interaction between
      applications and a desktop environmet.  The wl_shell protocol
      currently in wayland was always only a place-holder to help
      boot-strap toolkit support.  Now that GNOME Shell is moving to
      Wayland, we have a full-featured desktop to drive the work and we
      can start the effort in earnest
    - Nested compositor buffer pass-through.  We specified a new EGL
      extension to allow a nested compositor to pass buffers through to
      the underlying compositor.  This lets the nested compositor skip
      rendering and instead present the contents using a subsurface or
      such in the underlying compositor
    - Crop and scale protocol.  This protocol, which we're initially
      staging in weston, lets a client specify that a only sub-rectangle
      of it's surface should be presented, and potentially scaled up.
    - weston-terminal gained scrollback history, use Ctrl+Shift UP/DOWN
      to scroll.  Added a context menu for easy access to copy/paste/new
      terminal (which have always been available as Ctrl-Shift-C/V/N)
  * d/control: update
    + bump standards version
    + build depend on librsvg2-bin for PNG file generation.
    + add build dependency against libxcb-composite0-dev for build
    + add build-dependency against libxcb-xkb-dev (Closes: #733229)


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: weston
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders:
  Cyril Brulebois <kibi@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Héctor Orón Martínez <zumbi@debian.org>,
+ Emilio Pozuelo Monfort <pochu@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  quilt,
@@ -21,22 +21,26 @@
  libegl1-mesa-dev (>= 9.0~),
  libegl1-mesa-drivers (>= 9.0~),
  libgles2-mesa-dev (>= 9.0~),
- libwayland-dev (>= 1.2.0),
+ libwayland-dev (>= 1.6.93),
  libxcb1-dev,
+ libxcb-composite0-dev,
  libxcb-xfixes0-dev,
+ libxcb-xkb-dev,
  libx11-xcb-dev,
  libx11-dev,
  libudev-dev,
  libgbm-dev,
  libxkbcommon-dev (>= 0.1.0~2),
  libcairo2-dev,
+ libpango1.0-dev,
  libgdk-pixbuf2.0-dev,
  libxcursor-dev,
  libmtdev-dev,
  libpam0g-dev,
  libvpx-dev,
  libsystemd-login-dev,
-Standards-Version: 3.9.4
+ libinput-dev (>= 0.8.0),
+Standards-Version: 3.9.6
 Homepage: http://wayland.freedesktop.org/
 Vcs-Git: git://anonscm.debian.org/pkg-xorg/wayland/weston
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/wayland/weston.git
@@ -45,9 +49,9 @@
 Architecture: linux-any
 Depends:
  adduser,
- libegl1-mesa (>= 8.0-2),
- libegl1-mesa-drivers (>= 8.0-2),
- libgles2-mesa (>= 8.0-2),
+ libegl1-mesa (>= 8.0-2) | libegl1-x11,
+ libwayland-egl1-mesa (>= 10.1.0-2) | libwayland-egl1,
+ libgles2-mesa (>= 8.0-2) | libgles2,
  ${shlibs:Depends},
  ${misc:Depends},
 Recommends:

## weston 1.7.0-1

=== debian/changelog ===
weston (1.7.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Bump libinput and libwayland-dev build-deps.
  * install: Add new files.

  [ Emilio Pozuelo Monfort ]
  * Remove Cyril from Uploaders. Thanks for your past work!
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 01:07:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders:
- Cyril Brulebois <kibi@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Héctor Orón Martínez <zumbi@debian.org>,
  Emilio Pozuelo Monfort <pochu@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-libunwind --libexec=/usr/lib/weston \
-		--with-cairo=image
+		--with-cairo=image --enable-libinput-backend
 
 override_dh_auto_test:
 	# the test suite does not 100% pass in headless mode

## weston 6.0.1

=== debian/changelog ===
weston (6.0.1-2ubuntu10) focal; urgency=medium

  * Boundary rebuild for focal
  * tag: rel_imx_4.19.35_1.1.0
  * g2d-renderer: refine enable overlay view feature

 -- Laci Tele <laci@boundarydevices.com>  Mon, 14 Dec 2020 06:47:38 -0800

weston (5.0.0-3) unstable; urgency=medium

  * debian/control: add libdbus-1-dev to Build-Depends
    - Fixes "won't start despite having an active logind session"
    (Closes: #799325)
    Thanks Paul Menzel for analysis.
  * debian/patches/reproducible-build-899358.patch: new patch
    - Make the build reproducible
    (Closes: #899358)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 28 Mar 2019 14:11:26 +0100

weston (5.0.0-2) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Update copyright holder years.

  [ Sven Joachim ]
  * Add liblcms2-dev to Build-Depends (Closes: #921763).

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 11 Feb 2019 10:12:16 +0100

weston (5.0.0-1) unstable; urgency=medium

  * Update build dependencies.
  * Update the watch file for the new upstream website layout.
  * New upstream release.
  * Bump libdrm-dev and libgbm-dev build dependencies.
  * Rename packages for soname bump.
  * Update symbols file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 18 Sep 2018 12:16:49 +0200

weston (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rename packages for soname bump.
  * Update symbols.
  * Update Vcs-* for salsa.
  * Make libweston-4-dev priority optional.
  * Update copyright.
  * Enable systemd notify support. Closes: #886919.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 May 2018 13:47:15 +0200

weston (3.0.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control, libweston*.{install,symbols, rules: Bump soversion.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: add missing copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Sep 2017 16:42:50 +0200

weston (1.12.0-3) unstable; urgency=medium

  * Remove useless dependency on libegl1-mesa-drivers.
  * Disable the freerdp backend for stretch. freerdp2 doesn't build
    everywhere and is not in testing, and the backend fails to build
    against our snapshot of freerdp 1.
  * Drop obsolete --enable-libinput-backend configure switch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Feb 2017 10:57:54 +0100

weston (1.12.0-2) unstable; urgency=medium

  * Enable RDP compositor and screen sharing. Closes: #775855, #850658.
  * Fix build with freerdp2. Patch based on one from John Moser in #850658.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Jan 2017 23:46:48 +0100

weston (1.12.0-1) unstable; urgency=medium

  * New upstream release. Closes: #841735.
  * Ship the shared libraries in libweston-1-0 and libweston-1-dev.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf automatically.
  * No need to pass --destdir=debian/tmp to dh_auto_install now that we
    have multiple binary packages.
  * Update copyright.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 07 Dec 2016 19:17:42 +0100

weston (1.11.94-1) experimental; urgency=medium

  * New upstream release.
  * debian/weston.install: use wildcards for libweston{,-desktop}.so.*.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 12:49:23 +0200

weston (1.11.91-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 18 Aug 2016 16:36:44 +0200

weston (1.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 02 Jun 2016 13:31:22 +0200

weston (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 01 Jun 2016 13:35:05 +0200

weston (1.9.92-2) experimental; urgency=medium

  * d/control: tighten build depend libwayland-dev versioning.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 09 Feb 2016 00:00:10 +0100

weston (1.9.92-1) experimental; urgency=medium

  * New upstream release
  * d/control: build depend on wayland-protocols
  * d/watch: update https url
  * d/p/0001-Add-suport-for-new-libsystemd.patch: drop
    - merged upstream.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 07 Feb 2016 21:22:32 +0100

weston (1.9.0-3) unstable; urgency=medium

  * debian/patches/0001-Add-suport-for-new-libsystemd.patch:
    + Consistently check for libsystem.pc rather than libsystemd-login.pc
      to get session support for weston-launch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 01 Nov 2015 17:32:38 +0100

weston (1.9.0-2) unstable; urgency=medium

  * d/control: tighten versioned build depends

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 12:26:29 +0200

weston (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 00:18:22 +0200

weston (1.8.0-3) unstable; urgency=medium

  * Add support for new libsystemd.
    (Closes: #779754)

 -- Hector Oron <zumbi@debian.org>  Tue, 01 Sep 2015 13:32:59 +0200

weston (1.8.0-2) unstable; urgency=medium

  * d/control: bump wayland versioned build dependency

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:49:22 +0200

weston (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:10:31 +0200

=== debian/control ===
Source: weston
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Héctor Orón Martínez <zumbi@debian.org>,
 Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends:
 debhelper (>= 10),
 quilt,
 pkg-config,
 libdbus-1-dev,
 libpixman-1-dev (>= 0.25.2),
 libpng-dev,
 libjpeg-dev,
 libcolord-dev (>= 0.1.27),
 liblcms2-dev,
 mesa-common-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev (>= 9.0~),
 libgles2-mesa-dev (>= 9.0~),
 libwayland-dev (>= 1.11.91),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-shape0-dev,
 libxcb-xfixes0-dev,
 libxcb-xkb-dev,
 libx11-xcb-dev,
 libx11-dev,
 libudev-dev (>= 136),
 libdrm-dev (>= 2.4.83),
 libgbm-dev (>= 17.2),
 libxkbcommon-dev (>= 0.3.0),
 libcairo2-dev (>= 1.10.0),
 libpango1.0-dev,
 libgdk-pixbuf2.0-dev,
 libxcursor-dev,
 libpam0g-dev,
 libvpx-dev,
 libsystemd-dev,
 libinput-dev (>= 0.8.0),
 wayland-protocols (>= 1.13),
 freerdp2-dev,
Standards-Version: 3.9.8
Homepage: http://wayland.freedesktop.org/
Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston

Package: weston
Architecture: linux-any
Depends:
 adduser,
 libegl1-mesa (>= 8.0-2) | libegl1-x11,
 libwayland-egl1-mesa (>= 10.1.0-2) | libwayland-egl1,
 libgles2-mesa (>= 8.0-2) | libgles2,
 ${shlibs:Depends},
 ${misc:Depends},
 default-dbus-session-bus,
 oxygen-cursor-theme,
 oxygen-cursor-theme-extra,
Recommends:
 libgl1-mesa-dri,
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.

Package: libweston-6-0
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (shared libs)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston shared libraries.

Package: libweston-6-dev
Section: libdevel
Architecture: linux-any
Depends:
 libweston-6-0 (= ${binary:Version}),
 libwayland-dev,
 libpixman-1-dev,
 libxkbcommon-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (shared libs)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston headers.



Package: weston-systemd
Architecture: any
Depends: weston, kbd
Description: Starts Weston Compositor at boot time via systemd service

Package: weston-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: weston (= ${binary:Version}),
         ${misc:Depends}
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package contains unstripped executables. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libweston-6-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libweston-6-0 (= ${binary:Version}),
         ${misc:Depends}
Description: reference implementation of a wayland compositor (shared libs)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

SHLIBS_LOCAL = debian/shlibs.local

define SHLIBS_LOCAL_TEXT
libGL                  1.2  imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libGLES_CL             1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libGLES_CM             1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libGLESv1_CL           1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libGLESv1_CM           1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libg2d                 1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libg2d                 1.1  imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libEGL                 1    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libGLESv2              2    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
libwayland-viv         0    imx-gpu-viv-f17-all | imx-gpu-viv-f18-all
endef

export SHLIBS_LOCAL_TEXT

export DISTCC_DIR=/home/tele/.distcc/
export CC=/usr/lib/distcc/bin/gcc-9
export CXX=/usr/lib/distcc/bin/g++-9


WL_CONFIGS += --disable-libunwind
WL_CONFIGS += --libexec=/usr/lib/weston
WL_CONFIGS += --with-cairo=glesv2
WL_CONFIGS += CFLAGS=-Wno-error=format-security
#WL_CONFIGS += --enable-libinput-backend

EX_CONFIGS += --enable-setuid-install
EX_CONFIGS += --enable-rdp-compositor
EX_CONFIGS += --enable-clients
EX_CONFIGS += --enable-simple-clients
EX_CONFIGS += --enable-demo-clients-install
EX_CONFIGS += --enable-colord
EX_CONFIGS += --enable-egl
EX_CONFIGS += --enable-simple-egl-clients
EX_CONFIGS += --enable-fbdev-compositor
EX_CONFIGS += --disable-headless-compositor
EX_CONFIGS += --enable-drm-compositor
EX_CONFIGS += --enable-weston-launch
EX_CONFIGS += --enable-lcms
EX_CONFIGS += --with-pam
EX_CONFIGS += --enable-systemd-login
EX_CONFIGS += --disable-vaapi-recorder
EX_CONFIGS += --enable-wayland-compositor
EX_CONFIGS += --without-webp
EX_CONFIGS += --disable-imxg2d
#EX_CONFIGS += --disable-rpi-compositor
#EX_CONFIGS += --enable-devdocs
#EX_CONFIGS += --enable-systemd-notify
EX_CONFIGS += --enable-screen-sharing
#EX_CONFIGS += WESTON_NATIVE_BACKEND=fbdev-backend.so
#EX_CONFIGS += --disable-silent-rules
#EX_CONFIGS += --disable-dependency-tracking
EX_CONFIGS += --enable-remoting
EX_CONFIGS += --enable-autotools


ifeq ($(USE_XWAYLAND),y)
EX_CONFIGS += --enable-x11-compositor
EX_CONFIGS += --disable-xwayland-test
EX_CONFIGS += --enable-xwayland
else
EX_CONFIGS += --disable-x11-compositor
EX_CONFIGS += --disable-xwayland-test
EX_CONFIGS += --disable-xwayland
endif


override_dh_auto_configure:
	dh_auto_configure -- $(WL_CONFIGS) $(EX_CONFIGS)

override_dh_auto_test:
	# the test suite does not 100% pass in headless mode
	dh_auto_test || true


override_dh_missing:
	dh_missing --fail-missing -X.la


override_dh_makeshlibs:
	dh_makeshlibs -Xlibweston-6/ -- -c4

#override_dh_shlibdeps:
#	@echo "$${SHLIBS_LOCAL_TEXT}" > $(SHLIBS_LOCAL)
#	dh_shlibdeps -a

override_dh_fixperms:
	dh_fixperms -Xusr/bin/weston-launch

override_dh_strip:
#	dh_strip -a --no-automatic-dbgsym
	dh_strip -plibweston-6-0 --dbg-package=libweston-6-0-dbg
	dh_strip -pweston --dbg-package=weston-dbg

%:
	dh $@ --with quilt

# For maintainer use only, generate a tarball:
gentarball: SOURCE=$(shell dpkg-parsechangelog|awk '/^Source:/ {print $$2}')
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/weston
version=3
https://wayland.freedesktop.org/releases.html releases/weston-(.*)\.tar\.xz

## weston 9.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -124,6 +124,12 @@
 	value: true,
 	description: 'Weston shell UI: IVI (automotive)'
 )
+option(
+	'shell-kiosk',
+	type: 'boolean',
+	value: true,
+	description: 'Weston shell UI: kiosk (desktop apps)'
+)
 
 option(
 	'desktop-shell-client-default',
@@ -205,6 +211,12 @@
 	description: 'Tests: output JUnit XML results'
 )
 option(
+	'test-gl-renderer',
+	type: 'boolean',
+	value: true,
+	description: 'Tests: allow running with GL-renderer'
+)
+option(
 	'doc',
 	type: 'boolean',
 	value: false,

## weston 10.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -45,10 +45,10 @@
 	description: 'Weston backend: X11 (nested)'
 )
 option(
-	'backend-fbdev',
-	type: 'boolean',
-	value: true,
-	description: 'Weston backend: fbdev'
+	'deprecated-backend-fbdev',
+	type: 'boolean',
+	value: false,
+	description: 'Weston backend: fbdev (deprecated)'
 )
 option(
 	'backend-default',
@@ -66,10 +66,10 @@
 )
 
 option(
-	'weston-launch',
-	type: 'boolean',
-	value: true,
-	description: 'Weston launcher for systems without logind'
+	'deprecated-weston-launch',
+	type: 'boolean',
+	value: false,
+	description: 'Deprecated weston launcher for systems without logind'
 )
 
 option(
@@ -139,10 +139,17 @@
 )
 
 option(
+	'deprecated-wl-shell',
+	type: 'boolean',
+	value: false,
+	description: 'Enable the deprecated wl_shell protocol'
+)
+
+option(
 	'color-management-lcms',
 	type: 'boolean',
 	value: true,
-	description: 'Compositor color management: lcms'
+	description: 'Compositor color management: Little CMS'
 )
 option(
 	'color-management-colord',
@@ -156,6 +163,13 @@
 	type: 'boolean',
 	value: true,
 	description: 'Compositor: support systemd-logind D-Bus protocol'
+)
+
+option(
+	'launcher-libseat',
+	type: 'boolean',
+	value: false,
+	description: 'Compositor: support libseat'
 )
 
 option(
@@ -186,7 +200,7 @@
 option(
 	'simple-clients',
 	type: 'array',
-	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-v4l', 'dmabuf-egl' ],
+	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-feedback', 'dmabuf-v4l', 'dmabuf-egl' ],
 	value: [ 'all' ],
 	description: 'Sample clients: simple test programs'
 )
@@ -211,6 +225,12 @@
 	description: 'Tests: output JUnit XML results'
 )
 option(
+	'test-skip-is-failure',
+	type: 'boolean',
+	value: false,
+	description: 'Tests: consider skip to be a failure'
+)
+option(
 	'test-gl-renderer',
 	type: 'boolean',
 	value: true,
